/*
 * Debug.java
 *
 * Created for HW2 of Analysis of Software Artifacts
 * $Id: Debug.java,v 1.1 2004/02/16 22:04:17 hisashiy Exp $
 * $Log: Debug.java,v $
 * Revision 1.1  2004/02/16 22:04:17  hisashiy
 * Modified/added debug printing. Removed pid handling from Java code. List-mode now handles very first time access to JNDI (it now creates root node).
 *
 */

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Debug class handles debug printouts.
 *
 * @author hisashiy
 */
public class Debug {

    /**
     * Prefix a string to debug out put to let the user know that the program
     * is running under debug mode.
     */
    protected static final String PREFIX = "[Debug]";

    /**
     * Boolean value to know if the program is running under debug mode.
     */
    protected static final boolean DEBUG;

    //Some static value settings.
    static {
        //debug.properties
        ResourceBundle rb = ResourceBundle.getBundle("debug", Locale.getDefault());
        DEBUG = Boolean.getBoolean(rb.getString("debug_on"));
    }

    /**
     * Prints string if debug mode.
     * @param str string to print out during debug.
     */
    public static void debugPrint(String str) {
        if(DEBUG) {
            System.err.println(PREFIX + str);
        }
    }
}
